Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585570 - cpufreq ondemand does not switch down
cpufreq ondemand does not switch down
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 16:19 EDT by Yves Dorfsman
Modified: 2011-06-27 11:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode output for Jetway J7F4K1G2E (2.33 KB, application/x-bzip2)
2010-04-26 02:03 EDT, Yves Dorfsman
no flags Details
dmesg output with cpufreq.debug=7 (10.50 KB, application/x-bzip2)
2010-05-10 22:30 EDT, Yves Dorfsman
no flags Details
dmesg output with cpufreq.debug=7 on FC12 after a yum update (10.17 KB, application/x-bzip2)
2010-05-12 21:15 EDT, Yves Dorfsman
no flags Details

  None (edit)
Description Yves Dorfsman 2010-04-24 16:19:40 EDT
Description of problem:
When cpufreq / cpuspeed is enable and running with governor "ondemand", it stays at the highest frequency without ever switching to lower, even on a completely idle machine.

Version-Release number of selected component (if applicable):
cpufrequtils-007-1.fc13.i686
Linux version 2.6.33.2-57.fc13.i686.PAE

How reproducible:


Steps to Reproduce:
1. cpufreq-set -gondemand
2. make sure nothing is running on the machine.
3. cpufreq-info
  
Actual results:
cpu is running at the highest possible frequency

Expected results:
cpu should be running at the lowest frequency

Additional info:
I run Fedora 10 on the exact same hardware, and cpufreq works as expected, at the lowest frequency most of the time, and switching to a higher frequency when the machine becomes busy.
Comment 1 Anton Arapov 2010-04-26 01:49:58 EDT
Yves, could you attach the /proc/cpuinfo info and dmidecode's output to this bugzilla.

thanks,
Comment 2 Yves Dorfsman 2010-04-26 01:55:32 EDT
/proc/cpuinfo

processor       : 0
vendor_id       : CentaurHauls
cpu family      : 6
model           : 10
model name      : VIA Esther processor 1200MHz
stepping        : 9
cpu MHz         : 1200.000
cache size      : 128 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge cmov pat 
clflush acpi mmx fxsr sse sse2 tm nx up pni est tm2 rng rng_en ace ace_en ace2 a
ce2_en phe phe_en pmm pmm_en
bogomips        : 2400.11
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 32 bits virtual
power management:
Comment 3 Yves Dorfsman 2010-04-26 02:03:50 EDT
Created attachment 409075 [details]
dmidecode output for Jetway J7F4K1G2E
Comment 4 Anton Arapov 2010-04-26 03:16:47 EDT
uhmm... Via... cpufreq-info output will be helpful as well then.

thank you! :)
Comment 5 Yves Dorfsman 2010-04-26 03:47:56 EDT
cpufrequtils 007: cpufreq-info (C) Dominik Brodowski 2004-2009
Report errors and bugs to cpufreq@vger.kernel.org, please.
analyzing CPU 0:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 0
  CPUs which need to have their frequency coordinated by software: 0
  maximum transition latency: 10.0 us.
  hardware limits: 400 MHz - 1.20 GHz
  available frequency steps: 1.20 GHz, 400 MHz
  available cpufreq governors: ondemand, userspace, performance
  current policy: frequency should be within 400 MHz and 1.20 GHz.
                  The governor "ondemand" may decide which speed to use
                  within this range.
  current CPU frequency is 1.20 GHz (asserted by call to hardware).
Comment 6 Yves Dorfsman 2010-04-29 15:26:56 EDT
I re-built my machine with Fedora 12, and this same problem is happening there too. Note that I have another machine (exact same hardware) with Fedora 10, which does not have this problem.
Comment 7 Anton Arapov 2010-05-05 07:22:35 EDT
Yves, I'm a bit stuck, don't have such cpu around. please could you provide the contents of dmesg dump from a fresh boot with cpufreq.debug=7 added as a kernel boot parameter.
Comment 8 Anton Arapov 2010-05-10 06:47:22 EDT
Yves, please, the output I requested is important for solving your issue.
Comment 9 Yves Dorfsman 2010-05-10 10:30:47 EDT
Sorry, been busy, but I will get the info requested sometimes this week.
Comment 10 Yves Dorfsman 2010-05-10 22:30:13 EDT
Created attachment 413024 [details]
dmesg output with cpufreq.debug=7
Comment 11 Anton Arapov 2010-05-12 05:58:22 EDT
Yves, could you confirm the frequency scaling works fine before suspend-resume cycle. I see the dmesg polluted right after resume. :/
Comment 12 Anton Arapov 2010-05-12 07:25:01 EDT
escalated to https://bugzilla.kernel.org/show_bug.cgi?id=15965
Comment 13 Yves Dorfsman 2010-05-12 09:31:01 EDT
Sorry about that, I keep re-building this box, I originally wanted to run FC13 but run into a bug (https://bugzilla.redhat.com/show_bug.cgi?id=583223) that prevent me from using it at all.

The machine is currently at FC12 and wasn't patched. I have done yum update on it last night.

The cpufreq issue is still there (was in FC13 last time I checked too), I will put a keyboard and monitor on it and re-start it with cpufreq.debug=7 again, and will post the output. The dmesg loop might go away.
Comment 14 Yves Dorfsman 2010-05-12 21:15:18 EDT
Created attachment 413604 [details]
dmesg output with cpufreq.debug=7 on FC12 after a yum update
Comment 15 Anton Arapov 2010-05-13 04:20:25 EDT
  Yves, I'd like to ask you to get an account at bugzilla.kernel.org and provide few more info there.
   https://bugzilla.kernel.org/show_bug.cgi?id=15965
  So that I won't act as proxy and you help us directly in solving your issue. :) Thank you very much.
Comment 16 Yves Dorfsman 2010-05-14 01:46:00 EDT
(In reply to comment #11)
> Yves, could you confirm the frequency scaling works fine before suspend-resume
> cycle. I see the dmesg polluted right after resume. :/    

This is a low power main board which, as far as I know, does not support suspend/resume - I sure don't suspend it....

(In reply to comment #15)
>   Yves, I'd like to ask you to get an account at bugzilla.kernel.org and
> provide few more info there.
>    https://bugzilla.kernel.org/show_bug.cgi?id=15965
>   So that I won't act as proxy and you help us directly in solving your issue.
> :) Thank you very much.    

I did so tonight.
Comment 17 Anton Arapov 2010-05-25 04:49:26 EDT
(In reply to comment #16)
> I did so tonight.  

  thanks for your effort! Will be watching the progress...
Comment 19 Bug Zapper 2011-06-02 10:54:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-27 11:51:11 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.